--- ./vfdlib.c-CVS	Fri Oct 18 21:53:21 2002
+++ ./vfdlib.c	Thu Sep 18 23:21:09 2003
@@ -1515,13 +1515,17 @@
   static struct {
     char identifierString[4]; /* always reads 'EFNT' */
     int fileSize;
-    int unknown1;             /* always == 1. version perhaps? */
+    int version;             /* always == 1. version perhaps? */
     int maxWidth;
-    int unknown2;             /* always == 32. bits per scanline perhaps? */
+    int unknown;             /* always == 32. bits per scanline perhaps? */
     int height;
     int firstIndex;
     int numOfCharacters;
   } bfHeader;
+  static struct {
+    int numascii; /* no clue, just guessing */
+    int unk2;
+  } bfHeader2;
 
   int i, x, y, width, scanline, totalWidth = 0;
   int bitmapScanlineBytes, scanLineSkip, fBitmapSize;
@@ -1545,6 +1549,15 @@
     return -1;
   }
 
+  if (bfHeader.version == 2) {
+    if (fread(&bfHeader2, 1, sizeof(bfHeader2), fp) < 1) {
+      /* error reading header */
+      fclose(fp);
+      return -1;
+    }
+    bfHeader.numOfCharacters = bfHeader2.numascii;
+  }
+
   /* check header for valid file */
   /* is correct identifier? */
   if (bfHeader.identifierString[0] != 'E' ||
@@ -1556,12 +1569,15 @@
     fclose(fp);
     return -1;
   }
+
   
   /* allocate memory for charInfo */
   cInfo = (CharInfo *) malloc(sizeof(CharInfo) * bfHeader.numOfCharacters);
 
   for (i=0; i<bfHeader.numOfCharacters; i++) {
-    fseek(fp, sizeof(bfHeader) + (4 * (bfHeader.height+1) * i), SEEK_SET);
+    fseek(fp, sizeof(bfHeader) + ((bfHeader.version == 2) ? 
+				  sizeof(bfHeader2):0) + 
+	  (4 * (bfHeader.height+1) * i), SEEK_SET);
     if (fread(&width, 1, sizeof(width), fp) < 1) {
       /* error reading width */
       free(cInfo);
@@ -1587,8 +1603,9 @@
 
   /* load in the character bitmaps */
   for (i=0; i<bfHeader.numOfCharacters; i++) {
-    fseek(fp, sizeof(bfHeader) + (((bfHeader.height+1) << 2) * i) + 4,
-	  SEEK_SET);
+    fseek(fp, sizeof(bfHeader) + ((bfHeader.version == 2) ?
+				  sizeof(bfHeader2):0) + 
+	  (((bfHeader.height+1) << 2) * i) + 4, SEEK_SET);
     scanLineSkip = 0;
     for (y=0; y<bfHeader.height; y++) {
       if (fread(&scanline, 1, sizeof(scanline), fp) < 1) {
